version: '3.9'

services:
  frontend:
    image: harbor.graphpolaris.com/graphpolaris/frontend:latest
    build:
      context: ./
      dockerfile: ./Dockerfile
    ports:
      - 4200:4200
    environment:
      - BACKEND_URL=http://localhost
      - BACKEND_WSS_URL=ws://localhost:3001/
      - BACKEND_USER=:3000
      # - BACKEND_URL=http://
      # - BACKEND_WSS_URL=ws://client-updater-service/
      # - BACKEND_USER=user-management-service
      - STAGING=dev
      - GRAPHPOLARIS_VERSION=dev
      - GRAPHPOLARIS_VERSION=compose
    restart: always
    networks:
      - graphpolaris_network

networks:
  graphpolaris_network:
    name: custom_network
    external: true
